SFML 2.5.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sf::GlResource::TransientContextLock Class Reference

RAII helper class to temporarily lock an available context for use. More...

`#include <GlResource.hpp>`

Inheritance diagram for sf::GlResource::TransientContextLock:

## Public Member Functions

| TransientContextLock ()
| Default constructor. More...
| ~TransientContextLock ()
| Destructor. More...

## Detailed Description

RAII helper class to temporarily lock an available context for use.

Definition at line 79 of file GlResource.hpp.

## Constructor & Destructor Documentation

## ◆ TransientContextLock()

sf::GlResource::TransientContextLock::TransientContextLock | ( |  | ) |

Default constructor.

## ◆ ~TransientContextLock()

sf::GlResource::TransientContextLock::~TransientContextLock | ( |  | ) |

Destructor.

The documentation for this class was generated from the following file:

- GlResource.hpp